'use strict';
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var chalk_1 = __importDefault(require("chalk"));
var color_1 = __importDefault(require("color"));
var electron_is_1 = __importDefault(require("electron-is"));
exports.success = function (text) {
    if (typeof window === 'undefined') {
        console.log(' %cSUCCESS', "%c" + text, 'background: green; border-radius: 2px');
    }
    if (electron_is_1.default.main()) {
        console.log(" " + chalk_1.default.bgGreen.black(' MAIN ') + " " + text);
    }
    if (electron_is_1.default.renderer()) {
        console.log(" " + chalk_1.default.bgGreen.black(' RENDERER ') + " " + text);
    }
    console.log(" " + chalk_1.default.bgGreen.black(' SUCCESS ') + " " + text);
};
exports.info = function (text) {
    if (typeof window === 'undefined') {
        console.log(' %cINFO', "%c" + text, 'background: blue; border-radius: 2px');
    }
    if (electron_is_1.default.main()) {
        console.log(" " + chalk_1.default.bgBlue(' MAIN ') + " " + text);
    }
    if (electron_is_1.default.renderer()) {
        console.log(" " + chalk_1.default.bgBlue(' RENDERER ') + " " + text);
    }
    console.log(" " + chalk_1.default.bgBlue(' INFO ') + " " + text);
};
exports.warning = function (text) {
    if (typeof window === 'undefined') {
        console.log(' %cWARNING', "%c" + text, 'background: yellow; border-radius: 2px');
    }
    if (electron_is_1.default.main()) {
        console.log(" " + chalk_1.default.bgYellow.black(' MAIN ') + " " + text);
    }
    if (electron_is_1.default.renderer()) {
        console.log(" " + chalk_1.default.bgYellow.black(' RENDERER ') + " " + text);
    }
    console.log(" " + chalk_1.default.bgYellow.black(' WARNING ') + " " + text);
};
exports.error = function (text) {
    if (typeof window === 'undefined') {
        console.log(' %cERROR', "%c" + text, 'background: red; border-radius: 2px');
    }
    if (electron_is_1.default.main()) {
        console.log(" " + chalk_1.default.bgRed(' MAIN ') + " " + text);
    }
    if (electron_is_1.default.renderer()) {
        console.log(" " + chalk_1.default.bgRed(' RENDERER ') + " " + text);
    }
    console.log(" " + chalk_1.default.bgRed(' ERROR ') + " " + text);
};
exports.custom = function (title, text, _a) {
    var titleColor = _a.titleColor, backgroundColor = _a.backgroundColor;
    var color = color_1.default(titleColor).hex();
    var bgColor = color_1.default(backgroundColor).hex();
    if (typeof window === 'undefined') {
        console.log(" %c" + title, "%c" + text, "color: " + (color || 'white') + "; background: " + (bgColor || 'black') + "; border-radius: 2px");
    }
    if (electron_is_1.default.main()) {
        console.log(" " + chalk_1.default.bgGreen.black(' MAIN ') + " " + text);
    }
    if (electron_is_1.default.renderer()) {
        console.log(" " + chalk_1.default.bgGreen.black(' RENDERER ') + " " + text);
    }
    console.log(" " + chalk_1.default.bgHex(bgColor).hex(color)(" " + title + " ") + " " + text);
};
